Skip to main content
PUT
Update estimate

Authorizations

Authorization
string
header
required

Access token obtained from the /v1/auth/login endpoint

Path Parameters

estimateId
string<uuid>
required

The ID of the estimate to update

Body

application/json
client_id
string<uuid>
required
Example:

"01jtbf0c9zaraqx3swthf88n5y"

currency
string
required
Example:

"USD"

tax_distribution
string
required
Example:

"PER_DOCUMENT"

discount_distribution
string
required
Example:

"NO_DISCOUNT"

line_items
object[]
required
tax_id
string<uuid> | null
Example:

"01jtbf0c9zaraqx3swthf88n5y"

discount_type
string | null
Example:

"PERCENTAGE"

discount_value
number<float> | null
Example:

10

shipping
number<float> | null
Example:

0

notes
string | null
Example:

"Please review at your earliest convenience"

options
object | null

Response

Estimate updated successfully

success
boolean
Example:

true

message
string
Example:

"Estimate updated successfully"

data
object